Bug 145577 - CAN-2005-0077 perl-DBI insecure temporary file usage
Summary: CAN-2005-0077 perl-DBI insecure temporary file usage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl-DBI   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard: impact=low,public=20050125
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-19 21:14 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 14:49:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (1.26 KB, patch)
2005-01-19 21:14 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:069 normal SHIPPED_LIVE Low: perl security update 2005-02-01 05:00:00 UTC
Red Hat Product Errata RHSA-2005:072 normal SHIPPED_LIVE Low: perl-DBI security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-01-19 21:14:51 UTC
Javier Fernández-Sanguino Peña from the Debian Security Audit Project
discovered that the DBI library, the Perl5 database interface, creates
a tmporary file in an insecure manner.  This can be exploited by a
malicious user to overwrite arbitrary files owned by the person
executing the program.

This will be disclosed on Tuesday the 25th.

Patch attached that will remove the use of this pid file.

Comment 1 Josh Bressers 2005-01-19 21:14:52 UTC
Created attachment 109991 [details]
Proposed patch for this issue.

Comment 2 Josh Bressers 2005-01-19 21:15:58 UTC
This issue should also affect RHEL2.1

Comment 3 Chip Turner 2005-01-24 20:55:39 UTC
okay packages have been built into:

dist-2.1AS-errata-candidate
dist-3.0E-errata-candidate
dist-4E-errata-candidate

from the appropriate -embargo branches.

Comment 4 Chip Turner 2005-01-24 20:56:02 UTC
errata has been created and filed into the process

Comment 5 Mark J. Cox 2005-01-25 19:44:44 UTC
Removing embargo

Comment 6 Mark J. Cox 2005-02-01 14:49:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-069.html


Comment 7 Mark J. Cox 2005-02-15 09:56:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-072.html



Note You need to log in before you can comment on or make changes to this bug.